<table class="table mt-5">
  <thead>
  <tr>
    <th>Requirement name</th>
    <th>Status</th>
    <th></th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let name of [RequirementNames.BASIC_USAGE_1, RequirementNames.BASIC_USAGE_2]">
    <td class="align-middle w-[256px]">
      <b>{{name}}</b>
    </td>
    <td class="align-middle w-[256px]" [ngSwitch]="nameToStatus[name]">
      <ng-container *ngSwitchCase="true">
        <span class="text-success">Met requirement</span>
      </ng-container>
      <ng-container *ngSwitchDefault>
        <span class="text-danger">Dont meet requirement</span>
      </ng-container>
    </td>
    <td class="align-middle" [ngSwitch]="nameToStatus[name]">
      <ng-container *ngSwitchCase="true">
        <button class="btn btn-danger" (click)="dissatisfyRequirement(name)">Dissatisfy requirement</button>
      </ng-container>
      <ng-container *ngSwitchDefault>
        <button class="btn btn-primary" (click)="satisfyRequirement(name)">Satisfy requirement</button>
      </ng-container>
    </td>
  </tr>
  </tbody>
</table>
